#!/bin/bash

# Grab interwiki map page from website and filter out interwiki map content.
# Using w3m is silly. It would better to just pull it from the right mysql table.
w3m -dump -cols 160 http://YOUR_WEB_ADDRESS/TITLE_OF_YOUR_INTERWIKI_MAP_PAGE | gawk '/Please do not change/,/The wikis below are not part of the interwiki map/ { print }' | gawk '/http:/ { print $1 "\t" $2 }' >~/YOUR_MEDIAWIKI_INSTALLATION_DIRECTORY/maintenance/interwiki/interwikitable.txt

# Run mySQL batch script using batchfile TableUpload.sql. Replaces old table with what is current.
# This is silly too. It should check for changes before bothering with replacing the table.
mysql -uUSERNAME -pPASSWORD -h mysql.YOUR_DATABASE_SERVER YOUR_DATABASE_NAME <~/YOUR_MEDIAWIKI_INSTALLATION_DIRECTORY/maintenance/interwiki/TableUpload.sql >tableupload.log;
